#!/bin/sh
#
# cat and sort an EPS3
#

 base=b2012d_smegu

#for yymmdd in \
# 050803
#do

#yy=`echo $yymmdd | cut -c1,2`
#mm=`echo $yymmdd | cut -c3,4`
#dd=`echo $yymmdd | cut -c5,6`

#case $mm in
# 06) month=jun; Month=Jun;;
# 07) month=jul; Month=Jul;;
# 08) month=aug; Month=Aug;;
# 09) month=sep; Month=Sep;;
#esac

#echo "yymmdd  yy  mm  dd  month  Month"
#echo $yymmdd $yy $mm $dd $month $Month

 out_path=/ei/point/rpo_eps3/afs/reg_osd
#afs_path=/ei/point/HG/2005/model/generic_episode/no_zeros

# below c.14mar2007
#afs_file1=$afs_path/afs.osd_domain_states_minus_TX_and_ARDs_15Jun_to_30Jun05_episode_v2
# below c.28mar2007 - no zeros correct "AD", "PO" codes
#       c.28mar2007 - conversion of stack parameter to metric (way less elevated)
#afs_file1=$afs_path/afs.osd_domain_states_minus_TX_and_ARDs_15Jun_to_30Jun05_episode_v3_nozeros_v2
#  by05b c29oct2007 marvin file c25jun2007
#afs_file1=$afs_path/afs.osd_domain_states_minus_TX_and_ARDs_15Jun_to_30Jun05_episode_v5_nozeros
#  by05c c08nov2007 marvin file c07nov2007 - Marvin says no zeros use for ALL episodes ( _v2 has fake MN SCC for a few thousand records)
#afs_file1=$afs_path/afs.osd_USA_NEI_updated_to_2005_15Jun_to_30Jun05_episode_v1_nozeros_v2
#  by05d c03dec2007 marvin file c03dec2007
#afs_file1=$afs_path/afs.osd_USA_NEI_updated_to_2005_15Jun_to_30Jun05_episode_v1_nozeros
#  by05d c29jan2008 marvin file c28jan2008 eliminate duplicate acid rain units from osd
#        c04 feb fix MN blank sccs
#afs_file1=$afs_path/afs.osd_USA_NEI_updated_to_2005_15Jun_to_30Jun05_episode_v2_nozeros
#  bline05c c19aug2008 marvin file c07aug2008 - baseline
#afs_file1=$afs_path/afs.osd_USA_NEI_updated_to_2005_01Jul_to_30Sep05_episode_v1_nozeros
#  bline05d c28aug2008 marvin file c28aug2008 - baseline
#afs_file1=$afs_path/afs.2005osd_domain_states_minus_TX_and_ARDs_01Jul_to_30Sep05_episode_v1_nozeros
#  bline05e c18dec2008 marvin file c18dec2008 - new 2005 CENRAP baseline - Barry file - older...
#afs_file1=$afs_path/USA_osd_2005_for_3Q05_generic_from_2005CENRAP.v2_nozeros
#  bline05e c19dec2008 marvin file c19dec2008 - new 2005 CENRAP baseline - better srd match removal
#afs_path=/ei/point/outbox/2005_datasets/no_zeros
#afs_file1=$afs_path/USA_osd_2005_for_3Q05_generic_from_2005CENRAP.v3_nozeros
#  bline06e c04mar2009 marvin file c25feb2009 - new 2005 CENRAP baseline (27feb v2 identical to v1)
#           afs_file1=$afs_path/USA_osd_2006_for_3Q06_generic_from_2006CENRAP.v2_nozeros
#
# blc06a c09Mar2011 RPO MJ 02Mar2011 /ei/point/HG/2006/model/generic_episode/no_zeros/
#                    Eastern_USA_osd_2006_for_3Q06_generic_from_2006CENRAP_lcpRPO.v2
# blc06b c03Jun2011 Barry 2006 minus TX based on 2005 NEIv4 used in Transport Rule (CO, NOx, SO2, VOC)
#                         USA_noTX_osd_2006_generic_from_2005NEIv4_lcpRPO.v1 05May2011
# blc06c c13Oct2011 Barry's 1Sep2011 updated USA_noTX_osd_generic_CSAPR_2005NEIv2_lcpRPO.v1 w/4pols
# b2008a c04Oct2012 Barry's 25Sep2012 /ei/point/NEI/2008/v2/CAP_BAFM/afs.2008NEIv2_noTX_noIPM_noRail_noAirport                  
# b2011a 22Aug2013 Marvin's 22Aug2013 /ei/point/TX/2012/model/afs.USA_NEI_2011_daily_emissions_all_pols_RPOlcp
# b2011b 15Apr2014 New west region and Barry's 11Apr2014 EPA platform /ei/point/NEI/2011based/2012/afs.2012_USA_noTX_noEGU.RPOlcp                 
# b2012a 11Mar2016 afs.2012_USA_noTX_noEGU_v2.RPOlcp, 26Jan2016 - Based on EPA Platform version 2011v6.2 
# b2012b 19Jul2016 afs.2012_USA_noTX_noEGU_v3.RPOlcp, 19Jul2016 - Based on EPA Platform version 2011v6.2 
# b2012c_negu 20Mar2017 afs.2012_USA_noTX_noEGU_v4.RPOlcp, BE 16Mar2017 - Based on EPA Platform version 2011v6.3, non-EGUs
# b2012c_smegu 21Mar2017 afs.2012_USA_noTX_smallEGU_v1.RPOlcp, BE 21Mar2017 - Based on EPA Platform version 2011v6.3, non-Acid Rain EGUs (GNS)
# b2012d_smegu 14Jan2019 Same as above, but sync for bumpup SIP
#

# west region is 04 Arizona; 06 California; 41 Oregon; 53 Washington

 afs_path=/ei/point/rpo_eps3/afs/reg_osd/no_zeros
 afs_file1=$afs_path/afs.2012_USA_noTX_smallEGU_v1.RPOlcp_nozeros

 ls -l $afs_file1

#rm -f  tmp.$yymmdd

#grep " S  ${yymmdd}.. ${yymmdd}..  " $afs_file1 > tmp.$yymmdd

 afs_file=afs.reg_osd.$base

 echo
 echo "afs_file: "  $afs_file
 echo
 ls -l $afs_file

 echo
 echo "start sorting"

##sort  $afs_file -t ! -b -k 1.12,1.16 -k 1.40,1.44 -k 1.45,1.48 -k 1.50,1.52 -k 1.29,1.38 -k 1.156,1.160 > $afs_file.sort
# below is new linux sort for eps3
  sort  $afs_file1 -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.50,1.59 -k 1.60,1.69 -k 1.29,1.38 -k 1.176,1.180 | cut -c1-250 > $afs_file.sort

 echo
 echo "finished sort"
 echo

 mv $afs_file.sort $out_path/$afs_file

 egrep '^.{11}05'  $out_path/$afs_file > $out_path/$afs_file.ar

 egrep '^.{11}22'  $out_path/$afs_file > $out_path/$afs_file.la

 egrep '^.{11}40'  $out_path/$afs_file > $out_path/$afs_file.ok

 egrep -v '^.{11}05|^.{11}22|^.{11}40' $out_path/$afs_file > $out_path/$afs_file.no_arlaoktx
  
#done

# QA CHECK
wc -l $out_path/$afs_file
wc -l $out_path/$afs_file.*

exit

#cat $afs_file1 tmp.$yymmdd > $afs_file

##sort -o $afs_file -t +0.12-0.16 +0.40-0.44 +0.45-0.48 +0.50-0.52 +0.29-0.38 +0.156-0.160 $afs_file.sort
##sort  $afs_file  -b -k 5.1,5.5 -k 9.1,9.5 -k 10.1,10.5 -k 11.1,11.3 -k 8.1,8.10 -k 29.1,29.5 >  $afs_file.sort
